Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gentoo Catalyst
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Fri Sep 22, 2017 6:55 am    Post subject: Gentoo Catalyst Reply with quote

Ciao, qualcuno che sa come funziona Catalyst?

Lo scopo sarebbe creare una stage3 con qualche Software in piú e alcuni file di configurazione personalizzati, da poter distribuire e installare tramite uno script.

Praticamente come fa GentooStudio https://gentoostudio.org/?page_id=2

Solo che di Catalyst non ci ho capito molto.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Fri Sep 22, 2017 7:42 am    Post subject: Reply with quote

La guida l'hai gia' vista?
Purtroppo non l'ho mai usato e non saprei dirti di piu'
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Fri Sep 22, 2017 8:22 am    Post subject: Reply with quote

fedeliallalinea wrote:
La guida l'hai gia' vista?
Purtroppo non l'ho mai usato e non saprei dirti di piu'


Grazie Fedeliallaline,
si avevo visto...ma non ho capito propio bene come funziona...
intanto googlo
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Tue Sep 26, 2017 4:35 am    Post subject: Reply with quote

Ho iniziato a capire piú o meno come funziona, grazie anche all´autore di gentoostudio che mi ha dato un po di dritte.

Ma giá al primo stage sono icappato in uno intoppo

Code:
* Initializing /tmp/stage1root/lib as a symlink
 * Initializing /tmp/stage1root/usr/lib as a symlink
 * Initializing /tmp/stage1root/usr/local/lib as a symlink
 * You should reboot the system now to get /run mounted with tmpfs!
emerge --quiet --usepkg --buildpkg --newuse --oneshot sys-devel/libtool app-shells/bash:0 sys-apps/less app-arch/xz-utils sys-devel/make sys-devel/bison sys-apps/grep app-arch/gzip virtual/editor sys-apps/sed net-misc/wget sys-apps/net-tools sys-devel/gcc net-misc/rsync virtual/libc app-arch/tar sys-devel/gettext sys-apps/diffutils sys-apps/file sys-devel/gnuconfig sys-apps/gawk sys-apps/coreutils sys-devel/patch sys-devel/automake virtual/shadow virtual/pkgconfig sys-devel/flex sys-devel/autoconf sys-apps/which sys-apps/makedev sys-apps/baselayout app-arch/bzip2 sys-apps/findutils virtual/package-manager virtual/os-headers sys-devel/binutils
!!! Section 'gallifrey' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/gallifrey'
!!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'
[ebuild  rR   ] app-arch/bzip2-1.0.6-r8 [1.0.6-r8]
[ebuild  N    ] sys-libs/ncurses-6.0-r1 to /tmp/stage1root/
[ebuild  N    ] app-arch/bzip2-1.0.6-r8 to /tmp/stage1root/
[ebuild  N    ] virtual/libiconv-0-r2 to /tmp/stage1root/
[ebuild  N    ] virtual/libintl-0-r2 to /tmp/stage1root/
[ebuild  N    ] sys-devel/gnuconfig-20161104 to /tmp/stage1root/
[ebuild  N    ] sys-apps/gentoo-functions-0.12 to /tmp/stage1root/
[ebuild  N    ] dev-lang/python-exec-2.4.4 to /tmp/stage1root/
[ebuild  N    ] sys-apps/sed-4.2.2 to /tmp/stage1root/
[ebuild  N    ] app-arch/tar-1.29-r1 to /tmp/stage1root/
[ebuild  N    ] sys-libs/timezone-data-2017a to /tmp/stage1root/
[ebuild  N    ] sys-devel/gcc-config-1.7.3 to /tmp/stage1root/
[ebuild  N    ] app-misc/editor-wrapper-4 to /tmp/stage1root/
[ebuild  N    ] sys-devel/make-4.2.1 to /tmp/stage1root/
[ebuild  N    ] app-arch/gzip-1.8 to /tmp/stage1root/
[ebuild  N    ] sys-apps/gawk-4.1.3 to /tmp/stage1root/
[ebuild  N    ] sys-devel/patch-2.7.5 to /tmp/stage1root/
[ebuild  N    ] sys-apps/which-2.21 to /tmp/stage1root/
[ebuild   R   ] sys-apps/baselayout-2.3 to /tmp/stage1root/
[ebuild  N    ] sys-apps/findutils-4.6.0-r1 to /tmp/stage1root/
[ebuild  N    ] sys-devel/autoconf-wrapper-13 to /tmp/stage1root/
[ebuild  N    ] sys-devel/automake-wrapper-10 to /tmp/stage1root/
[ebuild  N    ] sys-apps/makedev-3.23.1 to /tmp/stage1root/
[ebuild  N    ] sys-apps/coreutils-8.25 to /tmp/stage1root/
[ebuild  N    ] sys-devel/binutils-config-5-r3 to /tmp/stage1root/
[ebuild  N    ] app-misc/pax-utils-1.1.7 to /tmp/stage1root/
[ebuild  N    ] sys-apps/less-487 to /tmp/stage1root/
[ebuild  N    ] sys-apps/net-tools-1.60_p20160215155418 to /tmp/stage1root/
[ebuild  N    ] sys-apps/diffutils-3.5 to /tmp/stage1root/
[ebuild  N    ] sys-devel/m4-1.4.17 to /tmp/stage1root/
[ebuild  N    ] dev-libs/libltdl-2.4.6 to /tmp/stage1root/
[ebuild  rR   ] sys-libs/zlib-1.2.11 [1.2.11]
[ebuild  N    ] sys-libs/zlib-1.2.11 to /tmp/stage1root/
[ebuild  N    ] dev-libs/gmp-6.1.0 to /tmp/stage1root/
[ebuild  N    ] app-arch/xz-utils-5.2.3 to /tmp/stage1root/
[ebuild  N    ] sys-apps/file-5.31 to /tmp/stage1root/
[ebuild  N    ] dev-libs/popt-1.16-r2 to /tmp/stage1root/
[ebuild  N    ] sys-apps/shadow-4.5 to /tmp/stage1root/
[ebuild  N    ] sys-apps/sandbox-2.10-r3 to /tmp/stage1root/
[ebuild  N    ] dev-libs/libffi-3.2.1 to /tmp/stage1root/
[ebuild  N    ] dev-util/pkgconfig-0.28-r2 to /tmp/stage1root/
[ebuild  N    ] sys-devel/bison-3.0.4-r1 to /tmp/stage1root/
[ebuild  N    ] sys-devel/flex-2.6.1 to /tmp/stage1root/
[ebuild  N    ] dev-libs/mpfr-3.1.3_p4 to /tmp/stage1root/
[ebuild  N    ] virtual/libffi-3.0.13-r1 to /tmp/stage1root/
[ebuild  N    ] virtual/shadow-0 to /tmp/stage1root/
[ebuild  N    ] sys-devel/binutils-2.28.1 to /tmp/stage1root/
[ebuild  N    ] virtual/pkgconfig-0-r1 to /tmp/stage1root/
[ebuild  N    ] dev-libs/mpc-1.0.2-r1 to /tmp/stage1root/
[ebuild  N    ] app-admin/eselect-1.4.8 to /tmp/stage1root/
[ebuild  N    ] app-eselect/eselect-python-20160516 to /tmp/stage1root/
[ebuild  N    ] sys-kernel/linux-headers-4.4 to /tmp/stage1root/
[ebuild  N    ] virtual/os-headers-0 to /tmp/stage1root/
[ebuild  N    ] dev-libs/expat-2.2.1 to /tmp/stage1root/
[ebuild  N    ] dev-libs/iniparser-3.1-r1 to /tmp/stage1root/
[ebuild  N    ] app-portage/portage-utils-0.62 to /tmp/stage1root/
[ebuild  N    ] dev-lang/perl-5.24.1-r2 to /tmp/stage1root/
[ebuild  N    ] virtual/perl-Data-Dumper-2.160.0-r1 to /tmp/stage1root/
[ebuild  N    ] virtual/perl-Test-Harness-3.360.100_rc-r2 to /tmp/stage1root/
[ebuild  N    ] perl-core/File-Temp-0.230.400-r1 to /tmp/stage1root/
[ebuild  N    ] virtual/perl-File-Temp-0.230.400-r5 to /tmp/stage1root/
[ebuild  N    ] perl-core/File-Path-2.130.0 to /tmp/stage1root/
[ebuild  N    ] virtual/perl-File-Path-2.130.0 to /tmp/stage1root/
[ebuild  N    ] sys-devel/autoconf-2.69 to /tmp/stage1root/
[ebuild  N    ] sys-devel/automake-1.15-r2 to /tmp/stage1root/
[ebuild  N    ] sys-devel/libtool-2.4.6-r3 to /tmp/stage1root/
[ebuild  N    ] sys-libs/glibc-2.23-r4 to /tmp/stage1root/
[ebuild  N    ] sys-libs/readline-6.3_p8-r3 to /tmp/stage1root/
[ebuild  N    ] app-shells/bash-4.3_p48-r1 to /tmp/stage1root/
[ebuild  N    ] app-editors/nano-2.7.5 to /tmp/stage1root/
[ebuild  N    ] dev-lang/python-3.4.5 to /tmp/stage1root/
[ebuild  N    ] dev-lang/python-2.7.12 to /tmp/stage1root/
[ebuild  N    ] sys-apps/portage-2.3.8 to /tmp/stage1root/
[ebuild  N    ] app-admin/perl-cleaner-2.25 to /tmp/stage1root/
[ebuild  N    ] sys-apps/grep-3.0 to /tmp/stage1root/
[ebuild  N    ] virtual/editor-0 to /tmp/stage1root/
[ebuild  N    ] net-misc/wget-1.19.1-r1 to /tmp/stage1root/
[ebuild  N    ] sys-devel/gcc-5.4.0-r3 to /tmp/stage1root/
[ebuild  N    ] net-misc/rsync-3.1.2 to /tmp/stage1root/
[ebuild  N    ] virtual/libc-1 to /tmp/stage1root/
[ebuild  N    ] virtual/package-manager-0 to /tmp/stage1root/
[ebuild  N    ] dev-libs/libxml2-2.9.4-r3 to /tmp/stage1root/
[ebuild  N    ] sys-devel/gettext-0.19.8.1 to /tmp/stage1root/

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-libs/zlib:0

  (sys-libs/zlib-1.2.11:0/1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-libs/zlib-1.2.11:0/0::gentoo, installed) pulled in by
    >=sys-libs/zlib-1.2.8-r1:0/0=[abi_x86_64(-)] required by (dev-libs/libxml2-2.9.4-r3:2/2::gentoo, installed)
                            ^^^^^                                                                                             
    (and 3 more with the same problem)

app-arch/bzip2:0

  (app-arch/bzip2-1.0.6-r8:0/1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (app-arch/bzip2-1.0.6-r8:0/0::gentoo, installed) pulled in by
    app-arch/bzip2:0/0= required by (dev-lang/python-2.7.12:2.7/2.7::gentoo, installed)
                  ^^^^^
    (and 1 more with the same problem)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above


!!! catalyst: run script failed.


Traceback (most recent call last):
  File "modules/generic_stage_target.py", line 1244, in run_local
    "run script failed.",env=self.env)
  File "/usr/lib64/catalyst/modules/catalyst_support.py", line 541, in cmd
    raise CatalystError,myexc
CatalystError
None

!!! catalyst: Stage build aborting due to error.

Traceback (most recent call last):
File "/usr/lib64/catalyst/catalyst", line 218, in build_target
    mytarget.run()
File "modules/generic_stage_target.py", line 1304, in run
    apply(getattr(self,x))
File "modules/generic_stage_target.py", line 1249, in run_local
    raise CatalystError,"Stage build aborting due to error."
CatalystError
!!! catalyst: Error encountered during run of target stage1
Catalyst aborting....
lockfile does not exist '/var/tmp/catalyst/tmp/default/stage1-amd64-latest/.catalyst_lock'
GentooVM /var/tmp/catalyst/builds/default #

Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Tue Sep 26, 2017 7:08 am    Post subject: Reply with quote

Non si puo' aggiungere in un qualche modo l'opzione --backtrack=100?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Tue Sep 26, 2017 7:21 am    Post subject: Reply with quote

fedeliallalinea wrote:
Non si puo' aggiungere in un qualche modo l'opzione --backtrack=100?


Stasera do un occhio al file di configurazione di Catalyst, grazie fedeliallalinea ;)
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Tue Sep 26, 2017 5:17 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Non si puo' aggiungere in un qualche modo l'opzione --backtrack=100?


no purtroppo non mi sembra che si possa mettere quella opzione

https://paste.pound-python.org/show/nqNm8q6Q1D9uU2sXKjq7/
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Tue Sep 26, 2017 5:28 pm    Post subject: Reply with quote

Vado a vista... hai dovuto scaricare un stage3?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Tue Sep 26, 2017 5:33 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Vado a vista... hai dovuto scaricare un stage3?


Si, giusto

poi uno Snapshot con catalyst -s $(date +%Y.%m)

edita un file stage1.spec

e poi lanciato
catalyst -f stage1.spec
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Tue Sep 26, 2017 6:09 pm    Post subject: Reply with quote

Che data ha lo stage3 che hai scaricato?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Tue Sep 26, 2017 6:13 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Che data ha lo stage3 che hai scaricato?


07.09.17

20170907
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Tue Sep 26, 2017 6:29 pm    Post subject: Reply with quote

Prova a scaricare quello del 05.09.2017, perche' e' dal 6 che hanno cambiato il subslot a zlib e bzip2.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Tue Sep 26, 2017 6:35 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Prova a scaricare quello del 05.09.2017, perche' e' dal 6 che hanno cambiato il subslot a zlib e bzip2.

Grazie fedeliallalinea, proveró...

probabilmente nel file .spec posso inserire --backtrack=100

cambiando la riga da
update_seed_command: --update --deep @world

a


update_seed_command: --update --deep --backtrack=100 @world
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Wed Sep 27, 2017 4:42 am    Post subject: Reply with quote

cambiando la stringa nel file spec accetta il comando (v. riga 6) ma il problema rimane

Code:
Adding USE=" build" to make.conf for portage build
emerge --quiet --oneshot --update --newuse sys-apps/portage
!!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'
!!! Section 'gallifrey' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/gallifrey'
Updating seed stage...
emerge --quiet --buildpkg=n --update --deep --backtrack=100 @world
!!! Section 'gallifrey' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/gallifrey'
!!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'
emerge --quiet --usepkg --buildpkg --newuse --oneshot --nodeps sys-apps/baselayout
!!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'
!!! Section 'gallifrey' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/gallifrey'
emerge --quiet --usepkg --buildpkg --newuse --oneshot virtual/shadow sys-apps/sed sys-devel/flex net-misc/wget sys-devel/gnuconfig sys-devel/bison sys-devel/autoconf sys-apps/less sys-apps/which sys-devel/make app-shells/bash:0 app-arch/tar app-arch/bzip2 virtual/libc app-arch/xz-utils sys-devel/binutils sys-devel/patch sys-apps/makedev sys-apps/baselayout sys-apps/coreutils virtual/package-manager app-arch/gzip sys-devel/gettext sys-devel/libtool virtual/editor net-misc/rsync sys-apps/file virtual/pkgconfig sys-apps/findutils virtual/os-headers sys-devel/gcc sys-apps/net-tools sys-apps/grep sys-apps/gawk sys-apps/diffutils sys-devel/automake
!!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'
!!! Section 'gallifrey' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/gallifrey'
[ebuild  rR   ] app-arch/bzip2-1.0.6-r8 [1.0.6-r8]
[ebuild  N    ] sys-libs/ncurses-6.0-r1 to /tmp/stage1root/
[ebuild  N    ] app-arch/bzip2-1.0.6-r8 to /tmp/stage1root/
[ebuild  N    ] virtual/libintl-0-r2 to /tmp/stage1root/
[ebuild  N    ] virtual/libiconv-0-r2 to /tmp/stage1root/
[ebuild  N    ] sys-devel/gnuconfig-20161104 to /tmp/stage1root/
[ebuild  N    ] sys-apps/gentoo-functions-0.12 to /tmp/stage1root/
[ebuild  N    ] dev-lang/python-exec-2.4.4 to /tmp/stage1root/
[ebuild  N    ] sys-apps/sed-4.2.2 to /tmp/stage1root/
[ebuild  N    ] app-arch/tar-1.29-r1 to /tmp/stage1root/
[ebuild  N    ] sys-devel/gcc-config-1.7.3 to /tmp/stage1root/
[ebuild  N    ] sys-libs/timezone-data-2017a to /tmp/stage1root/
[ebuild  N    ] app-misc/editor-wrapper-4 to /tmp/stage1root/
[ebuild  N    ] sys-apps/which-2.21 to /tmp/stage1root/
[ebuild  N    ] sys-devel/make-4.2.1 to /tmp/stage1root/
[ebuild  N    ] sys-devel/patch-2.7.5 to /tmp/stage1root/
[ebuild   R   ] sys-apps/baselayout-2.3 to /tmp/stage1root/
[ebuild  N    ] app-arch/gzip-1.8 to /tmp/stage1root/
[ebuild  N    ] sys-apps/findutils-4.6.0-r1 to /tmp/stage1root/
[ebuild  N    ] sys-apps/gawk-4.1.3 to /tmp/stage1root/
[ebuild  N    ] sys-devel/automake-wrapper-10 to /tmp/stage1root/
[ebuild  N    ] sys-devel/autoconf-wrapper-13 to /tmp/stage1root/
[ebuild  N    ] sys-apps/makedev-3.23.1 to /tmp/stage1root/
[ebuild  N    ] sys-apps/coreutils-8.25 to /tmp/stage1root/
[ebuild  N    ] sys-devel/binutils-config-5-r3 to /tmp/stage1root/
[ebuild  N    ] app-misc/pax-utils-1.1.7 to /tmp/stage1root/
[ebuild  N    ] sys-apps/less-487 to /tmp/stage1root/
[ebuild  N    ] sys-apps/net-tools-1.60_p20160215155418 to /tmp/stage1root/
[ebuild  N    ] sys-apps/diffutils-3.5 to /tmp/stage1root/
[ebuild  N    ] sys-devel/m4-1.4.17 to /tmp/stage1root/
[ebuild  N    ] dev-libs/libltdl-2.4.6 to /tmp/stage1root/
[ebuild  rR   ] sys-libs/zlib-1.2.11 [1.2.11]
[ebuild  N    ] sys-libs/zlib-1.2.11 to /tmp/stage1root/
[ebuild  N    ] dev-libs/gmp-6.1.0 to /tmp/stage1root/
[ebuild  N    ] app-arch/xz-utils-5.2.3 to /tmp/stage1root/
[ebuild  N    ] sys-apps/file-5.31 to /tmp/stage1root/
[ebuild  N    ] dev-libs/popt-1.16-r2 to /tmp/stage1root/
[ebuild  N    ] sys-apps/shadow-4.5 to /tmp/stage1root/
[ebuild  N    ] sys-apps/sandbox-2.10-r3 to /tmp/stage1root/
[ebuild  N    ] dev-libs/libffi-3.2.1 to /tmp/stage1root/
[ebuild  N    ] dev-util/pkgconfig-0.28-r2 to /tmp/stage1root/
[ebuild  N    ] sys-devel/flex-2.6.1 to /tmp/stage1root/
[ebuild  N    ] sys-devel/bison-3.0.4-r1 to /tmp/stage1root/
[ebuild  N    ] dev-libs/mpfr-3.1.3_p4 to /tmp/stage1root/
[ebuild  N    ] virtual/libffi-3.0.13-r1 to /tmp/stage1root/
[ebuild  N    ] virtual/shadow-0 to /tmp/stage1root/
[ebuild  N    ] sys-devel/binutils-2.28.1 to /tmp/stage1root/
[ebuild  N    ] virtual/pkgconfig-0-r1 to /tmp/stage1root/
[ebuild  N    ] dev-libs/mpc-1.0.2-r1 to /tmp/stage1root/
[ebuild  N    ] app-admin/eselect-1.4.8 to /tmp/stage1root/
[ebuild  N    ] app-eselect/eselect-python-20160516 to /tmp/stage1root/
[ebuild  N    ] sys-kernel/linux-headers-4.4 to /tmp/stage1root/
[ebuild  N    ] virtual/os-headers-0 to /tmp/stage1root/
[ebuild  N    ] dev-libs/expat-2.2.1 to /tmp/stage1root/
[ebuild  N    ] dev-libs/iniparser-3.1-r1 to /tmp/stage1root/
[ebuild  N    ] app-portage/portage-utils-0.62 to /tmp/stage1root/
[ebuild  N    ] dev-lang/perl-5.24.1-r2 to /tmp/stage1root/
[ebuild  N    ] virtual/perl-Test-Harness-3.360.100_rc-r2 to /tmp/stage1root/
[ebuild  N    ] virtual/perl-Data-Dumper-2.160.0-r1 to /tmp/stage1root/
[ebuild  N    ] perl-core/File-Temp-0.230.400-r1 to /tmp/stage1root/
[ebuild  N    ] virtual/perl-File-Temp-0.230.400-r5 to /tmp/stage1root/
[ebuild  N    ] perl-core/File-Path-2.130.0 to /tmp/stage1root/
[ebuild  N    ] virtual/perl-File-Path-2.130.0 to /tmp/stage1root/
[ebuild  N    ] sys-devel/autoconf-2.69 to /tmp/stage1root/
[ebuild  N    ] sys-devel/automake-1.15-r2 to /tmp/stage1root/
[ebuild  N    ] sys-devel/libtool-2.4.6-r3 to /tmp/stage1root/
[ebuild  N    ] sys-libs/glibc-2.23-r4 to /tmp/stage1root/
[ebuild  N    ] sys-libs/readline-6.3_p8-r3 to /tmp/stage1root/
[ebuild  N    ] app-shells/bash-4.3_p48-r1 to /tmp/stage1root/
[ebuild  N    ] dev-lang/python-2.7.12 to /tmp/stage1root/
[ebuild  N    ] dev-lang/python-3.4.5 to /tmp/stage1root/
[ebuild  N    ] sys-apps/portage-2.3.8 to /tmp/stage1root/
[ebuild  N    ] app-admin/perl-cleaner-2.25 to /tmp/stage1root/
[ebuild  N    ] app-editors/nano-2.7.5 to /tmp/stage1root/
[ebuild  N    ] net-misc/wget-1.19.1-r1 to /tmp/stage1root/
[ebuild  N    ] virtual/libc-1 to /tmp/stage1root/
[ebuild  N    ] virtual/package-manager-0 to /tmp/stage1root/
[ebuild  N    ] net-misc/rsync-3.1.2 to /tmp/stage1root/
[ebuild  N    ] sys-devel/gcc-5.4.0-r3 to /tmp/stage1root/
[ebuild  N    ] sys-apps/grep-3.0 to /tmp/stage1root/
[ebuild  N    ] dev-libs/libxml2-2.9.4-r3 to /tmp/stage1root/
[ebuild  N    ] virtual/editor-0 to /tmp/stage1root/
[ebuild  N    ] sys-devel/gettext-0.19.8.1 to /tmp/stage1root/

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-libs/zlib:0

  (sys-libs/zlib-1.2.11:0/1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-libs/zlib-1.2.11:0/0::gentoo, installed) pulled in by
    >=sys-libs/zlib-1.1.3:0/0= required by (dev-lang/python-3.4.5:3.4/3.4m::gentoo, installed)
                         ^^^^^                                                 
    (and 3 more with the same problem)

app-arch/bzip2:0

  (app-arch/bzip2-1.0.6-r8:0/1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (app-arch/bzip2-1.0.6-r8:0/0::gentoo, installed) pulled in by
    app-arch/bzip2:0/0= required by (dev-lang/python-2.7.12:2.7/2.7::gentoo, installed)
                  ^^^^^                                                         
    (and 1 more with the same problem)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above


!!! catalyst: run script failed.


Cambiando stage, ho scaricato quella con data 24.08.17, sembra funzionare. la 05.09.17 non l ho trovata
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Wed Sep 27, 2017 5:49 am    Post subject: Reply with quote

[quote="antonellocaroli"]cambiando la stringa nel file spec accetta il comando (v. riga 6) ma il problema rimane
Si perche' al comando emerge --quiet --usepkg --buildpkg --newuse --oneshot ... non viene aggiunta l'opzione --backtrack

antonellocaroli wrote:
Cambiando stage, ho scaricato quella con data 24.08.17, sembra funzionare. la 05.09.17 non l ho trovata

Si e' uguale l'importante e' che sia precedente al 06.09 quando hanno cambiato subslot a quei due pacchetti.

Ci sara' sicuramente un metodo migliore ma non conosco Catalyst
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Fri Sep 29, 2017 6:44 am    Post subject: Reply with quote

Ciao fediliallalinea,

finalmente sono arrivato alla stage4...

qui ho un problema con un overlay di layman, catalyst mi restituisce smpre un errore con questo repo...

con il tuo invece va tutto liscio....

ti chiedevo se é possibile aggiungere al tuo questa ebuild

http://data.gpo.zugaina.org/lmiphay/media-sound/logitechmediaserver-bin/

cambiando queste righe nella ebuild

Code:
HASHID="d424bbe"
BUILDID="1505480690"
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Fri Sep 29, 2017 7:21 am    Post subject: Reply with quote

Ciao fedeleallalinea,

sono arrivato,finalmente, alla stage 4.

Adesso ho un problema a installare un Software da un overlay di layman, con questo repo catalyst continua a darmi un errore...

Con il tuo repo, invece non ho nessun problema...

non é che potresti aggiungere al tuo questa ebuild?

http://data.gpo.zugaina.org/lmiphay/media-sound/logitechmediaserver-bin/

cambiando queste righe:

Code:
HASHID="d424bbe"
   BUILDID="1505480690"
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Fri Sep 29, 2017 7:38 am    Post subject: Reply with quote

antonellocaroli wrote:
Adesso ho un problema a installare un Software da un overlay di layman, con questo repo catalyst continua a darmi un errore...

Che tipo di errore?

antonellocaroli wrote:
Con il tuo repo, invece non ho nessun problema...

non é che potresti aggiungere al tuo questa ebuild?

Fatto
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Fri Sep 29, 2017 8:03 am    Post subject: Reply with quote

Grazie!!!

l´errore comunque era questo:

Code:
!!! Invalid PORTDIR_OVERLAY (not a dir): '/usr/local/portage'
!!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'
 >>> Regenerating /etc/ld.so.cache...
 Updating portage with USE=""
 emerge --quiet --usepkg --buildpkg --newuse --oneshot --update --newuse sys-apps/portage
 !!! Invalid PORTDIR_OVERLAY (not a dir): '/usr/local/portage'
!!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'
 Bringing system up to date using profile specific use flags
 emerge --quiet --usepkg --buildpkg --newuse -u @system
 !!! Invalid PORTDIR_OVERLAY (not a dir): '/usr/local/portage'
 !!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'
 >>> Verifying ebuild manifests
 >>> Emerging (1 of 3) sys-apps/file-5.32::gentoo
 >>> Installing (1 of 3) sys-apps/file-5.32::gentoo
 >>> Emerging (2 of 3) virtual/libudev-232::gentoo
 >>> Installing (2 of 3) virtual/libudev-232::gentoo
 >>> Emerging (3 of 3) sys-apps/util-linux-2.28.2::gentoo
 >>> Installing (3 of 3) sys-apps/util-linux-2.28.2::gentoo

  * Messages for package sys-apps/util-linux-2.28.2:

  * The mesg/wall/write tools have been disabled due to USE=-tty-helpers.
 Emerging packages using stage4 use flags
 emerge --quiet --usepkg --buildpkg --newuse app-admin/syslog-ng app-portage/cpuid2cpuflags app-portage/gentoolkit app-portage/repoman app-portage/smart-live-rebuild app-portage/ufed net-misc/dhcpcd sys-apps/mlocate media-sound/logitechmediaserver-bin sys-boot/grub sys-kernel/genkernel sys-kernel/linux-firmware sys-kernel/rt-sources
 !!! Invalid PORTDIR_OVERLAY (not a dir): '/usr/local/portage'
!!! Section 'lmiphay' in repos.conf has location attribute set to nonexistent directory: '/var/lib/layman/lmiphay'

 emerge: there are no ebuilds to satisfy "media-sound/logitechmediaserver-bin".

 emerge: searching for similar names...
 emerge: Maybe you meant any of these: media-sound/teamspeak-server-bin, media-sound/ventrilo-server-bin, media-sound/litestream?

 !!! catalyst: Error in attempt to build packages


e se non sbaglio questo di sopra l avevo risolto e poi me ne dava naltro che aveva a che fare con il layot.conf..... tipo con il "master = gentoo".....

Praticamente catalyst non vede l´overlay nell "host" .....

dal tuo non da nessuno errore:

Code:
The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by media-sound/networkaudiod-bin (argument)
=media-sound/networkaudiod-bin-3.5.0 ~amd64

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

!!! catalyst: Error in attempt to build packages

normally i gentoo fix it with an etc-update
 but in catalyst I do not know how to do it
 do you have any suggestions?



solo questo di sopra che ho risolto aggiungedo al file spec alla voce mediasound/networaudiod-bin --autounmask-write

Sicuramente anche qui c´é un modo piú elegante...ma...
Back to top
View user's profile Send private message
sabayonino
l33t
l33t


Joined: 03 Jan 2012
Posts: 670

PostPosted: Fri Sep 29, 2017 7:29 pm    Post subject: Reply with quote

Quote:
layot.conf..... tipo con il "master = gentoo".....


devi aggiungere
Code:
master = gentoo


al file che ti viene indicato nel percorso indicato.
se non esistono , li crei ex-novo
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Sat Sep 30, 2017 5:52 am    Post subject: Reply with quote

sabayonino wrote:
Quote:
layot.conf..... tipo con il "master = gentoo".....


devi aggiungere
Code:
master = gentoo


al file che ti viene indicato nel percorso indicato.
se non esistono , li crei ex-novo


si pensavo anche io, ma quel file é propio editato cosi con solo quella riga denro. fatto sta che l overlay comunque funziona normalmente...non funziona con catalyst...

cmnq quello di fedeliallalinea va!!! meglio cosi....avere un overlay unico mi semplifica anche la configurazione di catalyst.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Tue Oct 03, 2017 7:41 am    Post subject: Reply with quote

Comunque alla fine sono arrivato al traguardo!!! :)

ma non mi torna una Cosa...nel file spec della stage4 ad un certo punto richiama un script (personale) per file di configurazioni (personali) ecc e per l´installazione del kernel e qui ho il problema.

Uso, o vorrei susare, un config personale e procedo cosi:

eselect kernel set 1
wget indirizzo dove ho il mio config
mv config-mio /usr/src/linux/.config
genkernel all


Ma alla fine della fiera, se vado a controllare, dopo l´installazione, non ha usato affatto il mio config...

Ho notato spesso questa Cosa con genkernel...evidentemente mi sfugge qualcosa....
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Tue Oct 03, 2017 9:38 am    Post subject: Reply with quote

In /etc/genkernel.conf e' abilitata l'opzione OLDCONFIG="yes"?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
antonellocaroli
Apprentice
Apprentice


Joined: 11 Aug 2016
Posts: 230

PostPosted: Tue Oct 03, 2017 10:04 am    Post subject: Reply with quote

fedeliallalinea wrote:
In /etc/genkernel.conf e' abilitata l'opzione OLDCONFIG="yes"?

Se é lo Standard cosi sicuramente é impostata su yes... stasera controllo il file...
dovrei impstorla su no...giusto?

quindi nello script prima della compilazione del kernel devo prevedere la modifica di quel file!
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21342
Location: here

PostPosted: Tue Oct 03, 2017 10:08 am    Post subject: Reply with quote

antonellocaroli wrote:
fedeliallalinea wrote:
In /etc/genkernel.conf e' abilitata l'opzione OLDCONFIG="yes"?

Se é lo Standard cosi sicuramente é impostata su yes... stasera controllo il file...
dovrei impstorla su no...giusto?

Deve essere impostato su yes
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum